<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: DataGenerator.DataGenerator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classDataGenerator_1_1DataGenerator.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="classDataGenerator_1_1DataGenerator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DataGenerator.DataGenerator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DataGenerator.DataGenerator:</div>
<div class="dyncontent">
<div class="center"><img src="classDataGenerator_1_1DataGenerator__inherit__graph.png" border="0" usemap="#DataGenerator_8DataGenerator_inherit__map" alt="Inheritance graph"/></div>
<map name="DataGenerator_8DataGenerator_inherit__map" id="DataGenerator_8DataGenerator_inherit__map">
<area shape="rect" title=" " alt="" coords="5,83,271,112"/>
<area shape="rect" title=" " alt="" coords="87,5,189,35"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for DataGenerator.DataGenerator:</div>
<div class="dyncontent">
<div class="center"><img src="classDataGenerator_1_1DataGenerator__coll__graph.png" border="0" usemap="#DataGenerator_8DataGenerator_coll__map" alt="Collaboration graph"/></div>
<map name="DataGenerator_8DataGenerator_coll__map" id="DataGenerator_8DataGenerator_coll__map">
<area shape="rect" title=" " alt="" coords="5,83,271,112"/>
<area shape="rect" title=" " alt="" coords="87,5,189,35"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6afdecb72e5e39000b412f802347a8db"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataGenerator_1_1DataGenerator.html#a6afdecb72e5e39000b412f802347a8db">__init__</a> (self, <a class="el" href="classDataGenerator_1_1DataGenerator.html#ae55e7353bbb663bb301b753aa90b821c">list_IDs</a>, <a class="el" href="classDataGenerator_1_1DataGenerator.html#a7185c14d23023742be56ca5b7224f909">shuffle</a>=True, <a class="el" href="classDataGenerator_1_1DataGenerator.html#ab296e5b081f8b93e0df2a93f5b8baae1">batch_size</a>=5)</td></tr>
<tr class="separator:a6afdecb72e5e39000b412f802347a8db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acec8fe0ea642cce7844cf6839c33f977"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataGenerator_1_1DataGenerator.html#acec8fe0ea642cce7844cf6839c33f977">__len__</a> (self)</td></tr>
<tr class="separator:acec8fe0ea642cce7844cf6839c33f977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adccd9812db98fbc8beaddd4fb8251607"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataGenerator_1_1DataGenerator.html#adccd9812db98fbc8beaddd4fb8251607">__getitem__</a> (self, index)</td></tr>
<tr class="separator:adccd9812db98fbc8beaddd4fb8251607"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af71602edb2717e31f02c4ac04f76ee5a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataGenerator_1_1DataGenerator.html#af71602edb2717e31f02c4ac04f76ee5a">on_epoch_end</a> (self)</td></tr>
<tr class="separator:af71602edb2717e31f02c4ac04f76ee5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab296e5b081f8b93e0df2a93f5b8baae1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataGenerator_1_1DataGenerator.html#ab296e5b081f8b93e0df2a93f5b8baae1">batch_size</a></td></tr>
<tr class="separator:ab296e5b081f8b93e0df2a93f5b8baae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae55e7353bbb663bb301b753aa90b821c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataGenerator_1_1DataGenerator.html#ae55e7353bbb663bb301b753aa90b821c">list_IDs</a></td></tr>
<tr class="separator:ae55e7353bbb663bb301b753aa90b821c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7185c14d23023742be56ca5b7224f909"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataGenerator_1_1DataGenerator.html#a7185c14d23023742be56ca5b7224f909">shuffle</a></td></tr>
<tr class="separator:a7185c14d23023742be56ca5b7224f909"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a4c2a1fe6608902011f55546845348c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataGenerator_1_1DataGenerator.html#a1a4c2a1fe6608902011f55546845348c">indexes</a></td></tr>
<tr class="separator:a1a4c2a1fe6608902011f55546845348c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aec956ee305acab30abf63e2a445505bd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataGenerator_1_1DataGenerator.html#aec956ee305acab30abf63e2a445505bd">__data_generation</a> (self, list_IDs_temp, <a class="el" href="classDataGenerator_1_1DataGenerator.html#a1a4c2a1fe6608902011f55546845348c">indexes</a>)</td></tr>
<tr class="separator:aec956ee305acab30abf63e2a445505bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Generates data for Keras </pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6afdecb72e5e39000b412f802347a8db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6afdecb72e5e39000b412f802347a8db">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def DataGenerator.DataGenerator.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>list_IDs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>shuffle</em> = <code>True</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>batch_size</em> = <code>5</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Initialization</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aec956ee305acab30abf63e2a445505bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec956ee305acab30abf63e2a445505bd">&#9670;&nbsp;</a></span>__data_generation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def DataGenerator.DataGenerator.__data_generation </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>list_IDs_temp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>indexes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classDataGenerator_1_1DataGenerator_aec956ee305acab30abf63e2a445505bd_cgraph.png" border="0" usemap="#classDataGenerator_1_1DataGenerator_aec956ee305acab30abf63e2a445505bd_cgraph" alt=""/></div>
<map name="classDataGenerator_1_1DataGenerator_aec956ee305acab30abf63e2a445505bd_cgraph" id="classDataGenerator_1_1DataGenerator_aec956ee305acab30abf63e2a445505bd_cgraph">
<area shape="rect" title=" " alt="" coords="5,152,273,199"/>
<area shape="rect" href="namespaceDataLoading.html#a17f2d4738b0aa5b95712c56df5e514e8" title=" " alt="" coords="327,66,530,95"/>
<area shape="rect" href="namespaceDataLoading.html#aa3137bfdbe24792bb99e4236e009afb3" title=" " alt="" coords="333,120,524,167"/>
<area shape="rect" href="namespaceDataPreprocessing.html#ace35eb6e7cfad1b386f883bf66fa46cd" title=" " alt="" coords="321,191,536,221"/>
<area shape="rect" href="namespacefunctions.html#a3c73a4a300ca2304eb2541a49bb164af" title=" " alt="" coords="336,245,521,274"/>
<area shape="rect" href="namespaceDataPreprocessing.html#a4ecc639336f5b26079e3be77f2b4234e" title="DATA EXTRACTION #########." alt="" coords="611,5,822,52"/>
<area shape="rect" href="namespaceDataPreprocessing.html#a572bfacb4940450fde8962067188cf8c" title="DATA MANIPULATION FOR SUPERVISED CLASSIFICATION #########." alt="" coords="584,76,849,123"/>
<area shape="rect" href="namespaceDataPreprocessing.html#a5e333363ba6bfe04e84ed7e6de986596" title="DATA MANIPULATION FOR SUPERVISED REGRESSION #########." alt="" coords="584,147,849,193"/>
<area shape="rect" href="namespaceDataPreprocessing.html#ae9b16921a74f9674a2b055e128262098" title="DATA MANIPULATION FOR UNSUPERVISED CLASSIFICATION #######." alt="" coords="584,217,849,264"/>
<area shape="rect" href="namespaceDataPreprocessing.html#af59d209efc6b1366fcc1e01eea475089" title="DATA MANIPULATION FOR UNSUPERVISED REGRESSION #########." alt="" coords="584,288,849,335"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classDataGenerator_1_1DataGenerator_aec956ee305acab30abf63e2a445505bd_icgraph.png" border="0" usemap="#classDataGenerator_1_1DataGenerator_aec956ee305acab30abf63e2a445505bd_icgraph" alt=""/></div>
<map name="classDataGenerator_1_1DataGenerator_aec956ee305acab30abf63e2a445505bd_icgraph" id="classDataGenerator_1_1DataGenerator_aec956ee305acab30abf63e2a445505bd_icgraph">
<area shape="rect" title=" " alt="" coords="321,5,589,52"/>
<area shape="rect" href="classDataGenerator_1_1DataGenerator.html#adccd9812db98fbc8beaddd4fb8251607" title=" " alt="" coords="5,5,273,52"/>
</map>
</div>

</div>
</div>
<a id="adccd9812db98fbc8beaddd4fb8251607"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adccd9812db98fbc8beaddd4fb8251607">&#9670;&nbsp;</a></span>__getitem__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def DataGenerator.DataGenerator.__getitem__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Generate one batch of data </pre> <div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classDataGenerator_1_1DataGenerator_adccd9812db98fbc8beaddd4fb8251607_cgraph.png" border="0" usemap="#classDataGenerator_1_1DataGenerator_adccd9812db98fbc8beaddd4fb8251607_cgraph" alt=""/></div>
<map name="classDataGenerator_1_1DataGenerator_adccd9812db98fbc8beaddd4fb8251607_cgraph" id="classDataGenerator_1_1DataGenerator_adccd9812db98fbc8beaddd4fb8251607_cgraph">
<area shape="rect" title=" " alt="" coords="5,152,273,199"/>
<area shape="rect" href="classDataGenerator_1_1DataGenerator.html#aec956ee305acab30abf63e2a445505bd" title=" " alt="" coords="321,152,589,199"/>
<area shape="rect" href="namespaceDataLoading.html#a17f2d4738b0aa5b95712c56df5e514e8" title=" " alt="" coords="643,66,846,95"/>
<area shape="rect" href="namespaceDataLoading.html#aa3137bfdbe24792bb99e4236e009afb3" title=" " alt="" coords="649,120,840,167"/>
<area shape="rect" href="namespaceDataPreprocessing.html#ace35eb6e7cfad1b386f883bf66fa46cd" title=" " alt="" coords="637,191,852,221"/>
<area shape="rect" href="namespacefunctions.html#a3c73a4a300ca2304eb2541a49bb164af" title=" " alt="" coords="652,245,837,274"/>
<area shape="rect" href="namespaceDataPreprocessing.html#a4ecc639336f5b26079e3be77f2b4234e" title="DATA EXTRACTION #########." alt="" coords="927,5,1138,52"/>
<area shape="rect" href="namespaceDataPreprocessing.html#a572bfacb4940450fde8962067188cf8c" title="DATA MANIPULATION FOR SUPERVISED CLASSIFICATION #########." alt="" coords="900,76,1165,123"/>
<area shape="rect" href="namespaceDataPreprocessing.html#a5e333363ba6bfe04e84ed7e6de986596" title="DATA MANIPULATION FOR SUPERVISED REGRESSION #########." alt="" coords="900,147,1165,193"/>
<area shape="rect" href="namespaceDataPreprocessing.html#ae9b16921a74f9674a2b055e128262098" title="DATA MANIPULATION FOR UNSUPERVISED CLASSIFICATION #######." alt="" coords="900,217,1165,264"/>
<area shape="rect" href="namespaceDataPreprocessing.html#af59d209efc6b1366fcc1e01eea475089" title="DATA MANIPULATION FOR UNSUPERVISED REGRESSION #########." alt="" coords="900,288,1165,335"/>
</map>
</div>

</div>
</div>
<a id="acec8fe0ea642cce7844cf6839c33f977"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acec8fe0ea642cce7844cf6839c33f977">&#9670;&nbsp;</a></span>__len__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def DataGenerator.DataGenerator.__len__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Denotes the number of batches per epoch </pre> 
</div>
</div>
<a id="af71602edb2717e31f02c4ac04f76ee5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af71602edb2717e31f02c4ac04f76ee5a">&#9670;&nbsp;</a></span>on_epoch_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def DataGenerator.DataGenerator.on_epoch_end </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Updates indexes after each epoch</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab296e5b081f8b93e0df2a93f5b8baae1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab296e5b081f8b93e0df2a93f5b8baae1">&#9670;&nbsp;</a></span>batch_size</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DataGenerator.DataGenerator.batch_size</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a4c2a1fe6608902011f55546845348c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a4c2a1fe6608902011f55546845348c">&#9670;&nbsp;</a></span>indexes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DataGenerator.DataGenerator.indexes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae55e7353bbb663bb301b753aa90b821c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae55e7353bbb663bb301b753aa90b821c">&#9670;&nbsp;</a></span>list_IDs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DataGenerator.DataGenerator.list_IDs</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7185c14d23023742be56ca5b7224f909"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7185c14d23023742be56ca5b7224f909">&#9670;&nbsp;</a></span>shuffle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DataGenerator.DataGenerator.shuffle</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>source/<a class="el" href="DataGenerator_8py.html">DataGenerator.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceDataGenerator.html">DataGenerator</a></li><li class="navelem"><a class="el" href="classDataGenerator_1_1DataGenerator.html">DataGenerator</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
